Bug 1265170 - [GSS](6.4.z) Deployments from the domain/data/content folder goes missing after few minutes if the Host controller is started with --backup option.
[GSS](6.4.z) Deployments from the domain/data/content folder goes missing aft...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.7
Assigned To: baranowb
Martin Simka
:
Depends On:
Blocks: eap647-payload
  Show dependency treegraph
 
Reported: 2015-09-22 05:52 EDT by Harshada
Modified: 2017-01-17 07:01 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:01:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-1561 Major Closed Deployments from the domain/data/content folder goes missing after few minutes if the Host controller is started with --... 2017-08-22 15:32 EDT
JBoss Issue Tracker WFCORE-1062 Blocker Resolved Deployments from the domain/data/content folder goes missing after few minutes if the Host controller is started with --... 2017-08-22 15:32 EDT
Red Hat Knowledge Base (Solution) 1991243 None None None 2016-03-07 19:25 EST

  None (edit)
Description Harshada 2015-09-22 05:52:03 EDT
Description of problem: Host controller started with --backup option deletes the deployments from the domain/data/content folder after approximately 10 mins. 
The deployment is restored or recreated if the HostController is started. 


Version-Release number of selected component (if applicable): 6.4.x


How reproducible:


Steps to Reproduce:
	
1. Setup domaincontroller 
2. Setup hostcontroller 
3. Start domaincontroller 
4. Start hostcontroller with --backup option.
5. deploy an application using cli or admin console

./jboss-cli.sh --connect --controller=x.x.x.x:9999 --command='deploy /PathToApp/App.war --server-groups=main-server-group'

6. deployments are available under $JBOSS_HOME/domain/data/content

7. Wait for approximately 10 minutes

8. Cached deployments are deleted on hostcontroller (domain/data/content is empty). Following is the logging seen on the console :


++++++++++++++

[Host Controller] 14:20:40,439 INFO  [org.jboss.as.repository] (Host Controller Service Threads - 4) JBAS014903: Content /NotBackedUp/JAR-Folder/EAPs/EAP6/jboss-eap-6.4.3-Patched/domain/data/content/47/1108a27fa1b82e6a92fb56ee25bc76f2625249 is obsolete and will be removed

[Host Controller] 14:20:40,440 INFO  [org.jboss.as.repository] (Host Controller Service Threads - 4) JBAS014901: Content removed from location /NotBackedUp/JAR-Folder/EAPs/EAP6/jboss-eap-6.4.3-Patched/domain/data/content/47/1108a27fa1b82e6a92fb56ee25bc76f2625249/content

++++++++++++++

9. After restarting the Host Controller, the deployment is restored and the cached deployment can now be seen under the Host Controller's domain/data/content folder.

Actual results: Deployment folder form domain/data/content folder gets deleted after approx 10 mins and are restored if the Host Controller is restarted


Expected results: The cached deplpyments folder should never be removed from the HostController's domain/data/content folder.  


Additional info: This does not affect the availability of the application since the applications are also availbale with the assigned server's under their data/content folder.
Comment 3 JBoss JIRA Server 2015-10-20 05:36:34 EDT
ehsavoie Hugonnet <ehugonne@redhat.com> updated the status of jira WFCORE-1062 to Coding In Progress
Comment 4 Emmanuel Hugonnet (ehsavoie) 2015-10-21 07:55:02 EDT
PR: https://github.com/jbossas/jboss-eap/pull/2587
Comment 5 JBoss JIRA Server 2015-10-26 12:51:14 EDT
Brian Stansberry <brian.stansberry@redhat.com> updated the status of jira JBEAP-1561 to Resolved
Comment 7 Jiří Bílek 2016-03-04 04:00:21 EST
Verified with EAP 6.4.7.CP.CR2.
Comment 8 JBoss JIRA Server 2016-06-14 07:36:55 EDT
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-1561 to Closed
Comment 9 Petr Penicka 2017-01-17 07:01:31 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.